Windows XP still supported?

straker
2013-05-19
2013-05-24
  • straker

    straker - 2013-05-19

    Hello,

    I'm using Password Safe mainly on Windows 7/8 (x64) and it works exactly as it should - zero problems. One of the computers I frequently have to use, however, runs on Windows XP SP3 (x86) and every time I try to to start Password Safe 3.31 it crashes instantly. I used it many times there, meaning so far it worked, which makes me think 3.31 is the first version that had this issue.

    Is XP no longer supported? Is it a bug, that no one noticed because no one still uses XP?

    Thanks for any clarification!

     
  • Rony Shapiro

    Rony Shapiro - 2013-05-19

    Odd. XP should still be supported. Can you provide more details about the crash, for example, a screenshot?

     
  • straker

    straker - 2013-05-19

    This is a screenshot http://i.imgur.com/1AhNKNE.jpg and the event log info:

    Ereignistyp: Fehler
    Ereignisquelle: Application Error
    Ereigniskategorie: Keine
    Ereigniskennung: 1000
    Datum: 19.05.2013
    Zeit: 15:36:52
    Benutzer: Nicht zutreffend
    Computer:
    Beschreibung:
    Fehlgeschlagene Anwendung pwsafe.exe, Version 3.31.0.5298, fehlgeschlagenes Modul pwsafe.exe, Version 3.31.0.5298, Fehleradresse 0x00100a87.

    Weitere Informationen über die Hilfe- und Supportdienste erhalten Sie unter http://go.microsoft.com/fwlink/events.asp.
    Daten:
    0000: 41 70 70 6c 69 63 61 74 Applicat
    0008: 69 6f 6e 20 46 61 69 6c ion Fail
    0010: 75 72 65 20 20 70 77 73 ure pws
    0018: 61 66 65 2e 65 78 65 20 afe.exe
    0020: 33 2e 33 31 2e 30 2e 35 3.31.0.5
    0028: 32 39 38 20 69 6e 20 70 298 in p
    0030: 77 73 61 66 65 2e 65 78 wsafe.ex
    0038: 65 20 33 2e 33 31 2e 30 e 3.31.0
    0040: 2e 35 32 39 38 20 61 74 .5298 at
    0048: 20 6f 66 66 73 65 74 20 offset
    0050: 30 30 31 30 30 61 38 37 00100a87
    0058: 0d 0a ..

    and I had the chance to test Password Safe 3.30 - this version works just fine. Starts normally and everything. Definitely a new problem with 3.31.

    I hope this helps at all.

    Thanks!

     
  • Lee

    Lee - 2013-05-24

    I have the same issue on one XPSP3 laptop with Ver 3.31, Ver 3.30 works. Ver 3.31 works on an XPSP3 VM.

    I can provide a DrWatson log and User.dmp if needed.

     
  • Lee

    Lee - 2013-05-24

    Bug report opened. #1100 Password Safe v3.31 Crashes when launched Windows XPSP3

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks